@echo off
set "sourceFolder=dist"
set "destinationFolder=src"

set "extension=.css"
set "destinationFile=%destinationFolder%\style.css"

rem Change directory to the script's directory
cd /d "%~dp0"

rem Check if the source folder exists
if not exist "%sourceFolder%" (
    echo Source folder "%sourceFolder%" not found.
    rem build the styles and page
    call pnpm build
)

rem Check if the destination folder exists
if not exist "%destinationFolder%" (
    echo Destination folder "%destinationFolder%" not found.
    exit /b 1
)

echo Source folder: %sourceFolder%
echo Destination folder: %destinationFolder%
echo Extension: %extension%
echo Destination file: %destinationFile%
echo %sourceFolder%\*%extension%

rem Loop through files with the specified extension in the source folder
for %%F in ("%sourceFolder%\assets\*%extension%") do (
    echo Processing file: %%F
    rem Copy the file to the destination folder
    copy /y "%%F" "%destinationFile%"

    rem Check if the copy was successful
    if errorlevel 1 (
        echo Failed to copy "%%F" to "%destinationFolder%\%%~nxF".
        exit /b 1
    ) else (
        echo "%%F" copied successfully to "%destinationFile%".
    )
)

exit /b 0
