export interface Package {
    /**
     * @param duration - The amount of time it takes for this package to deplete
     *
     */
    validity: string;
    /**
     * @param devices - The number of devices that can connect
     *
     */
    sharedUsers: number;
    /**
     * @param price - Price for the package
     *
     */
    planType: 'PAID' | 'FREE TRIAL' | 'AD';
    price?: number;
    mediaUrls?: string;
    quotaLimit: string | null;
    /**
     * @param name - Pacakage name
     *
     */
    name: string;
    /**
     * @param id - Server identifier
     *
     */
    id: string;
}
export declare const themes: {
    blue: string;
    green: string;
    red: string;
    orange: string;
    yellow: string;
    slate: string;
    stone: string;
    neutral: string;
    violet: string;
    zinc: string;
    rose: string;
    gray: string;
};
export interface HotspotProps {
    gatewayBaseUrl: string;
    org: string;
    router: string;
}
export interface HotspotConfig {
    currency: string;
    logo?: string;
    dark?: boolean;
    theme?: 'green' | 'blue' | 'red' | 'orange' | 'slate' | 'stone' | 'neutral' | 'violet' | 'zinc' | 'rose' | 'gray' | 'yellow' | undefined;
    background?: string;
    tawkUrl?: string;
    contactPhone?: string;
    contactEmail?: string;
}
export interface PackageProps {
    duration: string;
    devices: string;
    price: string;
    id?: string;
    name?: string;
    currency?: string;
    type?: 'PAID' | 'AD' | 'FREE';
    quota?: string;
    isFeatured?: boolean;
    isBestValue?: boolean;
    onSelect?: () => void;
    handleDialogClose?: (open: boolean) => void;
}
